/***********************************************************************/
/* (xterm)          Help file for The Hessling Editor             1.00 */
/***********************************************************************/

THE Commands:                                    Default Key    Allowed
------------                                     Assignments   in Profile
                                                 -----------   ----------
 !|DOS [command...]
       execute host command
 ?
       retrieve last command from command line
 ADD [n]                                                           Y
       insert [n] blank lines below current line
 [SET] AUtosave ON|OFF [n]                                         Y
       sets frequency of automatic file saves
       Default: OFF
 BAckward [n|*]                                    PGUP
       move backward through the file [n] screens
 BOTtom                                            Ctrl-PGDN       Y
       got to bottom of file
 CANcel                                                            Y
       quit out of all files in the ring that do
       not have any pending changes
 [SET] CASE Mixed|Upper|Lower [Ignore|Respect]                     Y
      [Ignore|Respect]
       control handling of case of characters in
       input and searches
       Default: MIXED IGNORE RESPECT
 CCancel                                                           Y
       qquit out of all files in the ring ignoring
       files that have pending changes
 Change /string1/string2/ [target] [n] [m]                         Y
       changes n occurrences of string1 to string2
       for target
 cmatch                                            F7
       find matching bracket/brace/parenthesis
       '<>{}[]()'
 [SET] CMDArrow TAB|RETRIEVE                                       Y
       set action for up/down arrows on command
       line
 [SET] COLOUR|COLOR area [modifier] [foreground background]
       sets the colour/attribute of the indicated area
       of the screen
       Valid values for 'area':
         Filearea - area containing file lines
         CUrline  - the current line
         Block    - marked block
         CBlock   - current line if in marked block
         Cmdline  - command line
         Idline   - line containing file specific info
         Msgline  - error messages
         Arrow    - command line prompt
         PRefix   - prefix area
         Pending  - pending commands in prefix
         Scale    - line showing scale line (N/A)
         TOfeof   - *** Top of File *** and *** Bottom of File *** lines
         CTofeof  - as above if the same as current line
         Tabline  - line showing tab positions (N/A)
         SHadow   - hidden line marker lines (N/A)
         STatarea - line showing status of editting session
         Divider  - dividing line between vertical split screens
       Valid values for 'foreground' and 'background':
         BLAck,BLUe,Green,Cyan,RED,Magenta,Yellow,White
       Valid values for 'modifier':
         NORmal,BLInk,BOld,REVerse,Underline
 control_char                                      F6
       allows the user to enter control characters 
 COPY BLOCK                                        Ctrl-C
       copies marked block after focus line
 DEFine key command parameters                                     Y
       assigns key to execute command and parameters
 DELete [target|BLOCK]                             Ctrl-G (block)  Y
       delete specified target or block
 DIRectory|LS [path]
       show list of specified directory/files and
       allow editting
 DOS|! [command...]
       execute host command
 down_arrow                                        DOWN
       move cursor down one line, scrolling if
       necessary
       (next command displayed if on command line)
 Edit [fileid]
       begin editting specified file or switch
       between files
 enter                                             ENTER
       execute command on command line or next line
 [SET] EOLOut crlf|lf                                              Y
       specify line terminating character(s)
 FFile [fileid]                                                    Y
       write contents of file to disk (overwritng)
       and and remove from ring
 FILE [fileid]                                     F3              Y
       write contents of file to disk and and remove
       from ring
 FOrward [n|*]                                     PGDN
       move forward through file [n] screens
 GET [fileid]                                                      Y
       insert into current file contents of
       specified file
 HELP                                              F1
       edit file specified by environ variable
       THE_HELP
 Input [line contents]                                             Y
       add a line after the current line with line
       contents
 insertmode                                        INS
       toggle input mode (insert/replace)
 left_arrow                                        LEFT
       move cursor left one column scrolling if
       necessary
 [Locate] target                                   Shift-F1        Y
       make line identified by target become current
       line
 LS or DIRectory
 LS|DIRectory [path]
       show list of specified directory/files and
       allow editting
 MARK LINE                                         Ctrl-L
       mark focus line
 MOVE BLOCK                                        Ctrl-V
       copy marked block below focus line and delete
       marked block
 Next [n|*]                                                        Y
       move current line forward [n] lines
 NEXTWindow                                        F2
       switch between screens or to the next file
       in the ring
 [SET] PREfix ON|OFF [Left|Right]                                  Y
       define if and where prefix area to be displayed
       Default: ON LEFT
 PRint [target][n]|LINE [text]|STRING [text]|FORMfeed|CLOSE        Y
       print specifed data to the default printer or print
       spooler
 [SET] PRINTER name
       specify command used to print lines                         Y
 PUT [target] [fileid]                                             Y
       write targetted lines to fileid
 PUTD [target] [fileid]                                            Y
       write targetted lines to fileid and delete
       targetted lines
 QQuit                                             Shift-F3        Y
       cancel any changes to file (since last
       save/autosave) and remove file from ring
 QUIT                                                              Y
       remove file from ring
 RECover [n|*]                                     F8
       recover deleted or changed lines
 REFresh                                           Ctrl-R
       repaint screen after disturbance
 RESet BLOCK                                       Ctrl-U
       unmark marked block
 right_arrow                                       RIGHT
       move cursor right one column scrolling if
       necessary
 SAVE [fileid]                                                     Y
       write changes to file to disk; remain in ring
 SCHange /string1/string2/ [target] [n] [m]
       selectively changes n occurrences of string1
       to string2 for target
 SCReen n Horizontal | Vertical
       alter the number of screens displayed
 SHOWkey
       show key pressed and command assigned
 sos_addline                                       F4
       insert line after focus line
 sos_delback                                       Delete
       delete character to left of cursor
 sos_delchar                                       BackSpace
       delete character under cursor
 sos_delend                                        Ctrl-E
       delete all characters to right of cursor
 sos_delline                                       F9
       delete focus line
 sos_edit                                          Ctrl-X
       edit file in DIR.DIR list
 sos_endchar                                       END
       move cursor to end or start of line
 sos_tabf                                          TAB
       move cursor to next tab stop
 sos_tabwordb                                      Ctrl-J
       move cursor to start of previous word
 sos_tabwordf                                      Ctrl-K
       move cursor to start of next word
 sos_undo                                          Undo
       restore contents of line to original
 SPLTJOIN                                          F10
       split or join focus line and next line
 SSave [fileid]                                                    Y
       write changes to file to disk (overwriting);
       remain in ring
 [SET] STAY ON|OFF                                                 Y
       control how current line is determined after
       CHANGE
       Default: ON
 TABcmd                                            HOME
       move cursor to/from command line and body or
       prefix.
 TABPre
       move cursor between body and prefix
 [SET] TABS INCR n                                                Y
       control width of tabs
       Default: 8
 [SET] TABSIn ON|OFF [n]                                          Y
       control handling of tabs when reading in file
       contents
       Default: OFF 8
 [SET] TABSOut ON|OFF [n]                                         Y
       control handling of tabs when writing out
       file contents
       Default: OFF 8
 THE [fileid]
       begin editting specified file or switch
       between files
 TOP                                               Ctrl-PGUP       Y
       move current line to top of file
 UP [*|n]                                                          Y
       move current line up n lines
 up_arrow                                          UP
       move cursor up one line
 [SET] Verify n [m|*]
       set columns to display
       Default: 1 *
 Xedit [fileid]
       begin editting specified file or switch
       between files
 [SET] Zone n [m]                                                  Y
       control target columns for locates and changes
       Default: 1 *

(Note: Commands that are all lower case CANNOT be used on the command
 line, but MUST be assigned to a key to function. The capitalised portion
 of a command is the minimum abbreviation for the command)


THE Targets:
-----------
 Absolute line target:   :12
 Relative line target:   12  -4  *
 String target:          /string/   -/string/

Environment variables used:
--------------------------
 THE         specifies path for profile file
             Default: PROFILE.THE in directory from which THE was called
 THE_HELP    specifies path for help file
             Default: THE.HLP in directory from which THE was called
